Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.util
Class MonitoringCacheMap

    java.lang.Object
      org.apache.openjpa.util.CacheMap
          kodo.util.MonitoringCacheMap

All Implemented Interfaces:
  StatisticsProvider, Map

    public class MonitoringCacheMap

extends CacheMap
implements StatisticsProvider

Extends standard cache map to keep monitoring statistics.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Field Summary

Fields inherited from class org.apache.openjpa.util.CacheMap
`cacheMap, pinnedMap, softMap`

Constructor Summary
`MonitoringCacheMap()`
`MonitoringCacheMap(boolean lru, int max)`
`MonitoringCacheMap(boolean lru, int max, int size, float load)`

Method Summary
`protected void` | `cacheMapOverflowRemoved(Object key, Object value)`
`void` | `clear()`
`Collection` | `getStatistics()` Return cache statistics.
`protected Object` | `put(Map map, Object key, Object value)`
`protected Object` | `remove(Map map, Object key)`
`void` | `resetStatistics()` Reset cache statistics.
`protected void` | `softMapOverflowRemoved(Object key, Object value)`
`protected void` | `softMapValueExpired(Object key)`

Methods inherited from class org.apache.openjpa.util.CacheMap
`containsKey, containsValue, entryAdded, entryRemoved, entrySet, get, getCacheSize, getPinnedKeys, getSoftReferenceSize, isEmpty, isLRU, keySet, pin, put, putAll, readLock, readUnlock, remove, setCacheSize, setSoftReferenceSize, size, toString, unpin, values, writeLock, writeUnlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### MonitoringCacheMap

    public MonitoringCacheMap()

### MonitoringCacheMap

    public MonitoringCacheMap(boolean lru,
                              int max)

### MonitoringCacheMap

    public MonitoringCacheMap(boolean lru,
                              int max,
                              int size,
                              float load)

Method Detail

### getStatistics

    public Collection getStatistics()

  Return cache statistics.

  Specified by:
    `getStatistics` in interface `StatisticsProvider`

### resetStatistics

    public void resetStatistics()

  Reset cache statistics.

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map`
  Overrides:
    `clear` in class `CacheMap`

### cacheMapOverflowRemoved

    protected void cacheMapOverflowRemoved(Object key,
                                           Object value)

  Overrides:
    `cacheMapOverflowRemoved` in class `CacheMap`

### softMapOverflowRemoved

    protected void softMapOverflowRemoved(Object key,
                                          Object value)

  Overrides:
    `softMapOverflowRemoved` in class `CacheMap`

### softMapValueExpired

    protected void softMapValueExpired(Object key)

  Overrides:
    `softMapValueExpired` in class `CacheMap`

### put

    protected Object put(Map map,
                         Object key,
                         Object value)

  Overrides:
    `put` in class `CacheMap`

### remove

    protected Object remove(Map map,
                            Object key)

  Overrides:
    `remove` in class `CacheMap`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.